'use strict';

var defaultConfig = require('./index.default');
var providerPackage = require('frontful-config/provider/package');
var objectPath = require('object-path');

var customConfig = objectPath(providerPackage('frontful.babel') || {});

var mergedConfig = {
  ignore: customConfig.get('ignore'),
  server: customConfig.get('server.config') || require('../provider/server')(customConfig.get('server.options') || defaultConfig.server.options),
  browser: customConfig.get('browser.config') || require('../provider/browser')(customConfig.get('browser.options') || defaultConfig.browser.options),
  package: customConfig.get('package.config') || require('../provider/package')(customConfig.get('package.options') || defaultConfig.package.options)
};

module.exports = mergedConfig;