'use strict';

var _PackageJSON = require('./utils/PackageJSON');

var _PackageJSON2 = _interopRequireDefault(_PackageJSON);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _deploy = require('./utils/deploy');

var _deploy2 = _interopRequireDefault(_deploy);

var _Hash = require('./utils/Hash');

var _Hash2 = _interopRequireDefault(_Hash);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hash = new _Hash2.default();

if (hash.changed()) {
  require('./build');

  var sourcePath = process.cwd();
  var targetPath = _path2.default.resolve(sourcePath, 'build');

  (0, _deploy2.default)(targetPath);

  var version = new _PackageJSON2.default(sourcePath).bump();

  hash.update();

  console.log(_chalk2.default.green.bold('Package deployed as version ' + version));
} else {
  console.log(_chalk2.default.yellow.bold('Content not changed, deployment canceled'));
}