'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _find = require('find');

var _find2 = _interopRequireDefault(_find);

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Hash = function () {
  function Hash() {
    (0, _classCallCheck3.default)(this, Hash);

    this.value = '';
    this.file = _path2.default.resolve(process.cwd(), '.hash');
    _fsExtra2.default.ensureFileSync(this.file);
    this.read();
  }

  (0, _createClass3.default)(Hash, [{
    key: 'read',
    value: function read() {
      this.value = _fsExtra2.default.readFileSync(this.file, 'utf8');
      return this.value;
    }
  }, {
    key: 'changed',
    value: function changed() {
      return this.generate() !== this.value;
    }
  }, {
    key: 'generate',
    value: function generate() {
      var files = _find2.default.fileSync(/^((?!(\/(\.hash|npm-debug\.log|yarn-error\.log|\.git|node_modules|build|yarn\.lock)(\/|$))).)*$/i, process.cwd());
      var hash = _crypto2.default.createHash('sha1');

      files.forEach(function (file) {
        hash.write(file + _fsExtra2.default.readFileSync(file, 'utf8'));
      });

      return hash.digest('base64');
    }
  }, {
    key: 'update',
    value: function update() {
      this.write(this.generate());
    }
  }, {
    key: 'write',
    value: function write(hash) {
      _fsExtra2.default.writeFileSync(this.file, hash);
      this.value = hash;
    }
  }]);
  return Hash;
}();

exports.default = Hash;
module.exports = exports['default'];